package Mqtt.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "mqtt")
@Data
public class MQTTConfig {

    private String host;
    private String username;
    private String password;
    private boolean cleansession;
    private int keepalive;
    private int connectionTimeout;
    private boolean enablePublisher;

    private Publisher publisher = new Publisher();
    private Subscriber subscriber = new Subscriber();

    @Data
    public static class Publisher {
        private String clientId;
        private String defaultTopic;
    }

    @Data
    public static class Subscriber {
        private String clientId;
        private String defaultTopic;
    }
}



