package Mqtt.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 统一协调中间层，由 MqttController 调用
 */
@Service
@Slf4j
public class MQTTServer {

    private final MqttClientManager publisher;
    private final MqttSubscriberManager subscriber;

    public MQTTServer(MqttClientManager publisher, MqttSubscriberManager subscriber) {
        this.publisher = publisher;
        this.subscriber = subscriber;
    }

    /**
     * 发送 MQTT 消息
     */
    public void sendMQTTMessage(String topic, String payload, int qos) {
        publisher.publish(topic, payload);
    }

    /**
     * 初始化订阅（默认或自定义）
     */
    public void init(String topic, int qos) {
        subscriber.subscribe(topic, qos);
    }
}
